body {
    color: #444444;
}

._cb {
    color: #3fbbc0;
}

.cb50 {
    color: rgb(90 90 90) !important;
}

a {
    text-decoration: none !important;
}

/* img {
    max-width: 100%;
} */

/* @media print {
    * {
        -webkit-print-color-adjust: exact !important;
        print-color-adjust: exact !important;
    }
} */

.sr-icon {
    display: inline-block;
    width: 14px;
    height: 14px;
    margin-right: 5px;
    vertical-align: middle;
}

.sr-icon.en {
    margin-right: 0;
    margin-left: 5px;
}

.fl {
    position: relative;
    display: inline-block;
    width: 1.333333em;
    line-height: 1em;
    background-size: contain;
    background-position: 50%;
    background-repeat: no-repeat;
    aspect-ratio: 4 / 3;
}

.fl-sa {
    background-image: url('../img/sa.svg');
}

.fl-us {
    background-image: url('../img/us.svg');
}

.shimmer {
    font-family: Flow-Block;
    animation: fade 0.6s ease-in infinite alternate forwards;
    color: #ccc !important;
}

[loader] {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgb(0, 0, 0, 0.2);
    z-index: 9999999;
    vertical-align: middle;
}

[loader] .wrapper {
    width: 300px;
    padding: 20px;
    background-color: white;
    border-radius: 8px;
}

[loader] .wrapper .animation {
    border: 4px solid #f3f3f3;
    border-radius: 50%;
    border-top: 4px solid #3fbbc0;
    width: 50px;
    height: 50px;
    vertical-align: middle;
    display: inline-block;
    -webkit-animation: spin 1s linear infinite;
    animation: spin 1s linear infinite;
}

[loader] .wrapper .text {
    display: inline-block;
    vertical-align: middle;
    padding: 0 20px;
    width: 200px;
    text-align: right;
    color: black;
    font-size: 18px;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@font-face {
    font-family: "GE SS Two Light";
    src: url("/assets/fonts/02f502e5eefeb353e5f83fc5045348dc.eot");
    /* IE9*/
    src: url("/assets/fonts/02f502e5eefeb353e5f83fc5045348dc.eot?#iefix") format("embedded-opentype"),
        /* IE6-IE8 */
        url("/assets/fonts/02f502e5eefeb353e5f83fc5045348dc.woff2") format("woff2"),
        /* chrome firefox */
        url("/assets/fonts/02f502e5eefeb353e5f83fc5045348dc.woff") format("woff"),
        /* chrome firefox */
        url("/assets/fonts/02f502e5eefeb353e5f83fc5045348dc.ttf") format("truetype"),
        /* chrome firefox opera Safari, Android, iOS 4.2+*/
        url("/assets/fonts/02f502e5eefeb353e5f83fc5045348dc.svg#GE SS Two Light") format("svg");
    /* iOS 4.1- */
    /* unicode-range: U+0020-U+0029,U+0040-FEFF; */
    /*unicode-range: U+0030-0039; Numbers Only*/
    unicode-range: U+600-6FF;
}

* {
    font-family: "GE SS Two Light", sans-serif;
}

.sbtn.primary {
    background-color: #3fbbc0 !important;
    border-color: #3fbbc0 !important;
}

.sbtn.primary.outline {
    background-color: unset !important;
    color: #3fbbc0 !important;
    border-color: #3fbbc0 !important;
}

.sbtn.primary:hover {
    background-color: #40a7ab !important;
    border-color: #40a7ab !important;
}

.sbtn.primary.outline:hover {
    color: white !important;
}

.sbtn.primary.disabled,
.sbtn.primary:disabled {
    color: #fff !important;
    background-color: #3fbbc0 !important;
    border-color: #3fbbc0 !important;
}

input::placeholder,
textarea::placeholder {
    font-family: "GE SS Two Light", sans-serif;
}

.main-div {
    padding-top: 50px;
    margin-right: 60px;
    transition: 0.2s ease;
    min-height: 100vh;
    background-color: #f9f9f9;
}

.invalid-input {
    color: red;
    font-size: 12px;
    font-weight: bold;
    margin-top: 5px;
}

button[disabled],
.sbtn[disabled] {
    opacity: 0.5;
    pointer-events: none;
}



.fade {
    opacity: unset;
    transition: 0.05s ease !important;
}

.my-modal .modal-content {
    border-radius: 16px;
}

.my-modal.rtl .modal-header,
.my-modal[rtl] .modal-header {
    direction: rtl;
}

.my-modal .modal-title {
    font-size: 20px;
    font-weight: bold;
}

.my-modal.rtl .close,
.my-modal[rtl] .close {
    position: absolute;
    left: 14px;
    font-size: 26px;
    top: 42px;
    transform: translateY(-50%);
    padding: 0;
}

.my-modal .modal-body {
    padding: 2rem 1.3rem;
}

.my-modal.rtl .modal-footer {
    flex-direction: row-reverse;
}

.ng-star-inserted .ng-star-inserted {
    position: static !important;
}


.replies .radio-option {
    position: absolute;
    right: 5px;
    top: 36px;
    /* top: 50%;
    transform: translateY(-50%); */
    height: 30px;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    border: 1px solid #ddd;
    background-color: white;
    /* cursor: pointer; */
}

.replies .radio-option.disabled {
    background-color: #eee;
    pointer-events: none;
}

.replies .radio-option.active::before {
    content: "";
    border-radius: 50%;
    background: #3fbbc0;
    position: absolute;
    right: -25%;
    top: -25%;
    z-index: 0;
    width: 150%;
    height: 150%;
    opacity: 1;
    animation: feedback 0.5s ease-out forwards;
}

.replies .radio-option.active::after {
    content: "";
    position: absolute;
    top: 2px;
    left: 2px;
    right: 2px;
    bottom: 2px;
    background-color: #3fbbc0;
    border-radius: 50%;
}

@keyframes feedback {
    0% {
        -webkit-transform: scale3d(0.3, 0.3, 1);
        transform: scale3d(0.3, 0.3, 1);
    }

    25%,
    50% {
        opacity: 1;
    }

    to {
        opacity: 0;
        -webkit-transform: scale3d(1.2, 1.2, 1);
        transform: scale3d(1.2, 1.2, 1);
    }
}



label.my-label {
    display: inline-block;
    margin-bottom: 0;
    width: 100%;
    text-align: right;
    font-weight: bold;
}

label.my-label.required .label::before {
    content: "*";
    color: red;
    position: absolute;
    top: -3px;
    left: -11px;
}

.my-label input:not([type="radio"]),
.my-label select,
.my-label textarea,
.my-label .input {
    height: 38px !important;
    border: 1px solid #ddd !important;
    border-radius: 8px !important;
    width: 100% !important;
    outline: none !important;
    background-color: white !important;
    display: inline-block;
    padding-left: 15px;
    line-height: 36px;
}

/* .my-label input:not([type="radio"]).ng-invalid:not(.ng-untouched),
.my-label select.ng-invalid:not(.ng-untouched),
.my-label textarea.ng-invalid:not(.ng-untouched) {
    border-color: red !important;
} */

.my-label textarea {
    resize: none;
    min-height: 100px;
    /* padding-top: 8px; */
}

.my-label textarea::placeholder {
    padding-top: 9px;
}

.my-label input[disabled],
.my-label select[disabled],
.my-label textarea[disabled] {
    opacity: 0.5;
}

.main-div.request input[disabled],
.main-div.request select[disabled],
.main-div.request textarea[disabled],
.main-div.request .input[disabled] {
    opacity: 1 !important;
    background-color: #eee !important;
}

.my-label input::placeholder,
.my-label select::placeholder,
.my-label textarea::placeholder {
    font-weight: bold;
    font-size: 11px;
}

.my-label input:focus {
    border-color: #aaa;
}

.my-label input[type="number"]::-webkit-outer-spin-button,
.my-label input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}



.my-label input[type="number"] {
    -moz-appearance: textfield;
}

::-webkit-file-upload-button {
    display: none;
}

::file-selector-button {
    display: none;
}

::-webkit-calendar-picker-indicator {
    position: absolute;
    left: 0;
    right: 0;
    width: 100%;
    padding-left: 20px;
}

.line-div {
    width: 85%;
    border-top: 1px solid #ccc;
    margin: 20px auto;
}


label.my-label .icon {
    width: 38px;
    color: #3fbbc0;
    height: 38px;
    z-index: 1001;
}


select2 {
    z-index: 1001;
}

.slct .select2-label {
    display: none;
}

.slct .select2.select2-container {
    z-index: 1000 !important;
}

.slct .select2-selection.select2-selection--single {
    height: 38px !important;
    border: 1px solid #ddd !important;
    border-radius: 8px !important;
}

.slct .select2-selection__rendered span {
    position: absolute;
    right: 40px;
    top: 50%;
    transform: translateY(-50%);
}

.slct .select2-selection__rendered .select2-selection__placeholder {
    font-size: 11px;
}

.slct .select2-selection__arrow {
    display: none !important;
}

.slct .select2-dropdown {
    border: 1px solid #ddd;
}

.slct .select2-container.select2-container--default.select2-container-dropdown {
    left: 0;
}

.slct .select2-container--open .select2-selection.select2-selection--single {
    border-bottom-left-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}


.slct2~.select2.select2-container {
    z-index: 1000 !important;
}

.slct2~.select2 .select2-selection__arrow {
    display: none !important;
}

.slct2~.select2 .select2-selection__rendered {
    padding-right: 40px !important;
    height: 38px;
    line-height: 38px !important;
}

.slct2.no-icon~.select2 .select2-selection__rendered {
    padding-right: 10px !important;
}

.slct2~.select2 .select2-selection.select2-selection--single {
    height: 38px !important;
    border: 1px solid #ddd !important;
    border-radius: 8px !important;
}

.slct2~.select2.select2-container--open .select2-selection.select2-selection--single {
    border-bottom-left-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.slct2~.select2 .select2-selection__placeholder {
    position: absolute;
    right: 40px;
    top: 50%;
    font-size: 11px;
    transform: translateY(-50%);
}

.slct2.no-icon~.select2 .select2-selection__placeholder {
    right: 10px;
}

.select2-container .select2-results__option {
    font-weight: bold;
}

body.rtl .select2-search__field {
    text-align: right;
}



.sideNavBar .sideBarOpts .expand.active .header span:first-of-type,
.sideNavBar .sideBarOpts .opt.active span,
.sideNavBar .sideBarOpts .opt:hover span,
.sideNavBar .sideBarOpts a.active-link .mdi,
.sideNavBar .sideBarOpts a.active-link .opt {
    color: #ffb95a !important;
}




.pagination .active {
    background-color: #3fbbc0;
    color: white;
}



body.Ar .navbar a,
body.Ar .navbar a:focus {
    font-size: 20px !important;
}

@media (max-width: 1200px) {

    body.Ar .navbar a,
    body.Ar .navbar a:focus {
        font-size: 20px !important;
        padding: 10px 0 10px 20px;

    }

}

@media (max-width: 992px) {

    body.Ar .navbar a,
    body.Ar .navbar a:focus {
        margin-top: 30px;
        font-weight: bold;
        padding: 10px 0 10px 0px;
    }

    body.Ar .navbar a,
    body.Ar .navbar a:focus {
        font-size: 20px !important;

    }
}